Switch
78 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| cancelCableTest | POST | Cancel cable test |
| getCableTestFullResults | GET | Get the cable test full results |
| getCableTestIncrementResults | GET | Get the cable test increment results |
| getCableTestLogs | GET | Get the cable test logs |
| getCableTestOswPorts | GET | Get the port list used for cable test |
| startCableTest | POST | Start cable test |
| batchModifyLoopbackControl | PUT | Batch modify switch loopback control |
| batchModifyESLoopbackControl | PUT | Batch modify switch loopback control (Agile Series) |
| getOswForGivenLanNetworkIdAndVlan | GET | Get the paging query for the osws with given network id and vlan |
| getSwitchInfo | GET | Get switch info |
| modifyLoopbackControl | PUT | Modify switch loopback control |
| getOswDDMInfo | GET | Get osw ddm info. |
| getGridDhcpUserList | GET | Get switch dhcp user list |
| getSwitchExistNetworks | GET | Get the networks existing on the switch |
| getGeneralConfig | GET | Get switch general config |
| modifyGeneralConfig | PATCH | Modify switch general config |
| listSwitchInterfaces | GET | List Switch Interfaces |
| listSwitchBriefInterfaces | GET | List Switch Brief Interfaces |
| modifyPmtudStatus_1 | POST | Modify Path MTU Discovery |
| getL3SwitchUsedSdmNum | GET | Get the used sdm template num on the campus series switches |
| deleteSwitchLag | DELETE | Delete switch lag |
| modifySwitchLag | PATCH | Modify switch lag |
| getGridLldpNeighborTable | GET | Get switch lldp neighbor table |
| createLoopbackInterface | POST | Create Loopback Interface |
| deleteLoopbackInterface | DELETE | Delete Loopback Interface |
| modfiyLoopbackInterface | PUT | Modify Loopback Interface |
| batchModifySwitchPort | PATCH | Batch modify switch port |
| batchSetNameForGivenPorts_1 | PUT | Batch set name for given ports |
| batchSetPoeModeForGivenPorts_1 | PUT | Batch set poe mode for given ports |
| batchPortPoERecovery | POST | Switch port poe recovery. |
| batchSetProfileOverrideForGivenPorts_1 | PUT | Batch set profile-override for given ports |
| batchSetPortStatusForGivenPorts_1 | PUT | Batch set status for given ports |
| listSwitchNetworks | GET | Query switch vlan interface infos. |
| batchApplySwitchNetwork | POST | Batch modify switch vlan interfaces. |
| getGridPortAndLagNetworksDetail | GET | Get the networks detail (including the vlan related ports and lags info) used on switch's ports and LAGs |
| modifySwitchNetwork | POST | Modify switch network config. |
| getGridOspfNeighborTable | GET | Get switch ospf neighbor table |
| getGridPortAndLagNetworks_1 | GET | Get the networks used on switch's ports and LAGs |
| getPortAndLagNetwork_1 | GET | Get the switch's ports and LAGs that the network affects |
| modifySwitchPort | PATCH | Modify switch port |
| setNameForGivenPort_1 | PUT | Set name for given port |
| setPoeModeForGivenPort_1 | PUT | Set poe mode for given port |
| setProfileForGivenPort_1 | PUT | Set profile for given port |
| setProfileOverrideForGivenPort_1 | PUT | Set profile-override for given port |
| setPortModeForGivenPort_1 | PUT | Set port status for given port |
| getRpvstInstances | GET | Get Rpvst Instances |
| getSwitchUsedSdmNum | GET | Get the used sdm template num on the switch |
| getGridStaticRouting | GET | Get grid switch staticRouting |
| createStaticRouting | POST | Create switch staticRouting |
| deleteStaticRouting | DELETE | Delete switch staticRouting |
| modifyStaticRouting | PUT | Modify switch staticRouting |
| getStpInstancesDetail | POST | Get StpInstanceDetail |
| getGridVrf | GET | Get the vrfs on the switch |
| createOswVrf | POST | Create new vrf |
| deleteOswVrf | DELETE | Delete vrf |
| modifyOswVrf | PUT | Modify vrf |
| getOswsDetails | POST | Get the details of osws with given omadacid, siteid and macs and stackIds. |
| getESInfo | GET | Get switch info (Agile Series) |
| modifyESLoopbackControl | PUT | Modify switch loopback control (Agile Series) |
| getESGeneralConfig | GET | Get switch general config (Agile Series ) |
| modifyESGeneralConfig | PATCH | Modify switch general config (Agile Series) |
| getESNetworkOverview | GET | Query Agile Series switch valid network |
| getBatchSwitchExistNetworks | POST | Get the networks intersections existing on multiple switches |
| clearOswPortCounters | POST | Clear the switches ports counters |
| batchModifySwitchesPortLag | PATCH | Batch modify switches ports and lags |
| deletePortTag | DELETE | Delete an existing switch port label |
| getPortTags | GET | Get switch port label list |
| modifyPortTag | PATCH | Modify an existing switch port label |
| addPortTag | POST | Create new switch port label |
| getGridSwitchesPortsCounters | GET | Get the switches ports counters information |
| getGridSwitchesPortsOverview | GET | Get the switches ports overview |
| getGridSwitchesPortsPoe | GET | Get the switches ports poe information |
| getBatchSelectOswDetailsView | POST | Get the switches and ports detail in batches |
| getOswDetailInfoListForPortsView | GET | Get the switches detail for ports view |
| getBatchRpvstInstances | POST | Get Batch Rpvst Instances |
| getOswsSupportArpDetect | GET | Get the paging query for the osws that support arp detect. |
| getOswsSupportDhcpSnoop | GET | Get the paging query for the osws that support dhcp snoop. |
| mspMoveToCustomer | POST | Move site to target customer |
cancelCableTest
POST /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/cancel
Cancel cable test
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "cancelCableTest",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Cancel cable test.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getCableTestFullResults
GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/full-results
Get the cable test full results
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getCableTestFullResults",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get the cable test full results.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getCableTestIncrementResults
GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/increment-results
Get the cable test increment results
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getCableTestIncrementResults",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get the cable test increment results.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getCableTestLogs
GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/logs
Get the cable test logs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getCableTestLogs",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get the cable test logs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getCableTestOswPorts
GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/ports
Get the port list used for cable test
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getCableTestOswPorts",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get the port list used for cable test.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
startCableTest
POST /openapi/v1/{omadacId}/sites/{siteId}/cable-test/switches/{switchMac}/start
Start cable test
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OswCableTestTestingPortOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
portList | array<OswBriefPortInfoOpenApiVO> | no | Port list |
// omada_call_operation
{
"operationId": "startCableTest",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Start cable test.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
batchModifyLoopbackControl
PUT /openapi/v1/{omadacId}/sites/{siteId}/cmd/switches/config/loopback
Batch modify switch loopback control
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SwitchBatchLoopbackControl
| Field | Type | Required | Description |
|---|---|---|---|
switchMacList | array<string> | yes | Parameter [switchMacList] should contain at least one switch MAC |
loopbackDetectEnable | boolean | no | LoopbackDetectEnable |
stp | integer | no | STP should be a value as follows: 0: OFF 1: STP 2: RSTP 3: MSTP |
priority | integer | no | Parameter [priority] should be an integer from 0 to 61440 and divisible by 4096. |
helloTime | integer | no | helloTime should be between 1 and 10. |
maxAge | integer | no | maxAge should be between 6 and 40. |
forwardDelay | integer | no | forwardDelay should be between 4 and 30. |
txHoldCount | integer | no | txHoldCount should be between 1 and 20. |
maxHops | integer | no | maxHops should be between 1 and 40. |
mstp | OswStpMstpConfigOpenApiVO | no | (OswStpMstpConfigOpenApiVO not expanded; call omada_get_schema "OswStpMstpConfigOpenApiVO") |
// omada_call_operation
{
"operationId": "batchModifyLoopbackControl",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify switch loopback control.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39742 - The Agile Series Switch should use the corresponding path.
-40205 - The device has been added to the stack group and related configurations cannot be modified.
batchModifyESLoopbackControl
PUT /openapi/v1/{omadacId}/sites/{siteId}/cmd/switches/es/config/loopback
Batch modify switch loopback control (Agile Series)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema EasyManagedSwitchBatchLoopbackControl
| Field | Type | Required | Description |
|---|---|---|---|
switchMacList | array<string> | yes | Parameter [switchMacList] should contain at least one switch MAC |
loopbackDetectEnable | boolean | no | LoopbackDetectEnable |
stp | integer | no | STP should be a value as follows: 0: OFF 1: STP 2: RSTP 3: MSTP |
priority | integer | no | priority |
// omada_call_operation
{
"operationId": "batchModifyESLoopbackControl",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify Agile Series switch loopback control.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39743 - The Non-Agile Series switch should use the corresponding path.
-40205 - The device has been added to the stack group and related configurations cannot be modified.
getOswForGivenLanNetworkIdAndVlan
GET /openapi/v1/{omadacId}/sites/{siteId}/networks/{networkId}/vlans/{vlan}/switches
Get the paging query for the osws with given network id and vlan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
networkId | path | string | yes | networkId |
vlan | path | string | yes | vlan |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getOswForGivenLanNetworkIdAndVlan",
"params": {
"siteId": "<siteId>",
"networkId": "<networkId>",
"vlan": "<vlan>"
}
}Details, permissions and error codes
Get the paging query for the osws with given network id and vlan
The interface requires one of the permissions:
Site Device Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.
getSwitchInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}
Get switch info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getSwitchInfo",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get switch info.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39742 - The Agile Series Switch should use the corresponding path.
modifyLoopbackControl
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/config/loopback
Modify switch loopback control
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema SwitchLoopbackControl
| Field | Type | Required | Description |
|---|---|---|---|
loopbackDetectEnable | boolean | no | LoopbackDetectEnable |
stp | integer | no | STP should be a value as follows: 0: OFF 1: STP 2: RSTP 3: MSTP 4: RPVST |
priority | integer | no | Parameter [priority] should be an integer from 0 to 61440 and divisible by 4096. |
helloTime | integer | no | helloTime should be between 1 and 10. |
maxAge | integer | no | maxAge should be between 6 and 40. |
forwardDelay | integer | no | forwardDelay should be between 4 and 30. |
txHoldCount | integer | no | txHoldCount should be between 1 and 20. |
maxHops | integer | no | maxHops should be between 1 and 40. maxHops is only allowed when the STP type is MSTP. |
mstp | OswStpMstpConfigOpenApiVO | no | (OswStpMstpConfigOpenApiVO not expanded; call omada_get_schema "OswStpMstpConfigOpenApiVO") |
rpvst | OswStpRpvstVO | no | (OswStpRpvstVO not expanded; call omada_get_schema "OswStpRpvstVO") |
// omada_call_operation
{
"operationId": "modifyLoopbackControl",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch loopback control.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39742 - The Agile Series Switch should use the corresponding path.
-40205 - The device has been added to the stack group and related configurations cannot be modified.
getOswDDMInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ddm/info
Get osw ddm info.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getOswDDMInfo",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get osw ddm info.
The interface requires one of the permissions:
Site Device Manager View Only
getGridDhcpUserList
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/dhcp/user-list
Get switch dhcp user list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridDhcpUserList",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get switch dhcp user list.
The interface requires one of the permissions:
Site Device Manager View Only
Site Settings Manager View Only
Network Config Page View Only
getSwitchExistNetworks
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/exist-network
Get the networks existing on the switch
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getSwitchExistNetworks",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get the networks existing on the switch.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getGeneralConfig
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/general-config
Get switch general config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getGeneralConfig",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get switch general config.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39742 - The Agile Series Switch should use the corresponding path.
modifyGeneralConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/general-config
Modify switch general config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema SwitchGeneralConfig
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Device name should contain 1 to 128 characters. |
ledSetting | integer | no | Led setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings |
tagIds | array<string> | no | Tag IDs |
location | DeviceLocationDetailVO | no | (DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO") |
jumboFollowSite | boolean | no | Whether jumbo setting follows site setting. |
jumbo | integer | no | Required only when jumboFollowSite = false. Range: 1518–9216. |
lagHashAlgFollowSite | boolean | no | Whether lag hash algorithm setting follows site setting. |
lagHashAlg | integer | no | Required only when lagHashAlgFollowSite = false. It should be a value as follows: 0: SRC MAC; 1: DST MAC; 2: SRC MAC + DST MAC; 3: SRC IP; 4: DST IP; 5: SRC IP + DST IP |
snmp | OswSnmpOpenApiVO | no | (OswSnmpOpenApiVO not expanded; call omada_get_schema "OswSnmpOpenApiVO") |
sdm | OswSdmTemplateVO | no | (OswSdmTemplateVO not expanded; call omada_get_schema "OswSdmTemplateVO") |
// omada_call_operation
{
"operationId": "modifyGeneralConfig",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch general config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39742 - The Agile Series Switch should use the corresponding path.
-40205 - The device has been added to the stack group and related configurations cannot be modified.
listSwitchInterfaces
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/interfaces
List Switch Interfaces
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "listSwitchInterfaces",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
List Switch Interfaces, include VLAN Interface and Loopback Interface.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
listSwitchBriefInterfaces
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/interfaces/brief
List Switch Brief Interfaces
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "listSwitchBriefInterfaces",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
List Switch Brief Interfaces for OSPF Configurations, include VLAN Interface and Loopback Interface.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
modifyPmtudStatus_1
POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/interfaces/pmtud
Modify Path MTU Discovery
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OswPmtudVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | no | The Switch of Path MTU Discovery. |
// omada_call_operation
{
"operationId": "modifyPmtudStatus_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
modify Path MTU Discovery.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getL3SwitchUsedSdmNum
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/l3-sdm-used
Get the used sdm template num on the campus series switches
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getL3SwitchUsedSdmNum",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get the used template num on the campus series switches.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
deleteSwitchLag
DELETE /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/lags/{lagId}
Delete switch lag
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
lagId | path | string | yes | Lag ID |
// omada_call_operation
{
"operationId": "deleteSwitchLag",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"lagId": "<lagId>"
}
}Details, permissions and error codes
Delete switch lag.
The interface requires one of the permissions:
Site Device Manager Modify
modifySwitchLag
PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/lags/{lagId}
Modify switch lag
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
lagId | path | string | yes | Lag ID |
Request body — application/json (required) — schema OswLagSettingVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Port or Lag Name |
tagIds | array<string> | no | Tag ID List |
nativeNetworkId | string | no | Native Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
nativeBridgeVlan | integer | no | Native Network Bridge Vlan. |
networkTagsSetting | integer | no | Network Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom |
tagNetworkIds | array<string> | no | Tag Network IDs |
tagBridgeVlanMap | object | no | Tag Network Bridge Vlan Map |
untagNetworkIds | array<string> | no | Untag Network IDs |
untagBridgeVlanMap | object | no | Untag Network Bridge Vlan Map |
voiceNetworkEnable | boolean | no | Indicates whether voice network is enabled |
voiceNetworkId | string | no | Voice Network ID |
voiceBridgeVlan | integer | no | Voice Network Bridge Vlan |
voiceDscpEnable | boolean | no | Indicates whether voice DSCP is enabled |
voiceDscp | integer | no | Voice DSCP |
portAlertEnable | boolean | no | Indicates whether port alert is enabled |
fecMode | integer | no | FEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R |
fecLinkPeerApplyEnable | boolean | no | Indicates whether the FEC Mode is synchronously applied to the link peer port. |
disable | boolean | no | Indicates whether to disable |
profileId | string | no | Profile ID is required (not null) when modifying a single port. |
profileOverrideEnable | boolean | no | Indicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile |
profileVlanOverrideEnable | boolean | no | Indicates the fill mode of vlan configuration: true: custom; false: follow profile |
linkSpeed | integer | no | Link Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
igmpSnoopingEnable | boolean | no | Indicates whether IGMP Snooping is enabled |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlVO | no | (OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO") |
spanningTreeEnable | boolean | no | Indicates whether SpanningTree is enabled |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | Indicates whether loopbackDetect port based is enabled |
loopbackDetectVlanBasedEnable | boolean | no | Indicates whether loopbackDetect vlan based is enabled |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Indicates whether port isolation is enabled |
eeeEnable | boolean | no | Indicates whether EEE is enabled |
flowControlEnable | boolean | no | Indicates whether flow control is enabled |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
qosQueueEnable | boolean | no | Indicates whether the ES device port has enabled the Qos scheduling queue configuration |
queueId | integer | no | ES Qos scheduling queue ID |
removedOuiBasedRuleIds | array<string> | no | The id of oui based vlan rule removded. |
operation | string | no | Operation should be a value as follows: "switching" or "mirroring" or "aggregating" |
lagId | integer | no | Lag ID |
lagType | integer | no | Lag Type should be a value as follows: 1: STATIC; 2: LACP; 3: LACP ACTIVE; 4: LACP PASSIVE |
ports | array<integer> | no | Lag Ports |
mlagName | string | no | M-LAG group Name |
mlagEnable | boolean | no | Indicates whether M-LAG port is enabled |
mlagPeerSetting | OswMlagPeerSettingVO | no | (OswMlagPeerSettingVO not expanded; call omada_get_schema "OswMlagPeerSettingVO") |
// omada_call_operation
{
"operationId": "modifySwitchLag",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"lagId": "<lagId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch lag.
The interface requires one of the permissions:
Site Device Manager Modify
getGridLldpNeighborTable
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/lldp-neighbors
Get switch lldp neighbor table
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.portId | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field portId,standardPort,deviceId,systemName |
// omada_call_operation
{
"operationId": "getGridLldpNeighborTable",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get switch lldp neighbor table.
The interface requires one of the permissions:
Site Device Manager View Only
createLoopbackInterface
POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/loopback-interface
Create Loopback Interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OswLoopbackInterfaceVO
| Field | Type | Required | Description |
|---|---|---|---|
status | integer | yes | Interface status.0: disable, 1: enable. |
name | string | yes | Loopback Interface name. |
vrfId | string | no | VRF ID. This field is non-empty when the device supports VRF. |
loopbackId | integer | yes | Loopback ID. |
ip | string | yes | IP address. |
// omada_call_operation
{
"operationId": "createLoopbackInterface",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
deleteLoopbackInterface
DELETE /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/loopback-interface/{loopbackInterfaceId}
Delete Loopback Interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
loopbackInterfaceId | path | string | yes | Loopback Interface ID |
// omada_call_operation
{
"operationId": "deleteLoopbackInterface",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"loopbackInterfaceId": "<loopbackInterfaceId>"
}
}Details, permissions and error codes
Delete Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
modfiyLoopbackInterface
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/loopback-interface/{loopbackInterfaceId}
Modify Loopback Interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
loopbackInterfaceId | path | string | yes | Loopback Interface ID |
Request body — application/json (required) — schema OswLoopbackInterfaceVO
| Field | Type | Required | Description |
|---|---|---|---|
status | integer | yes | Interface status.0: disable, 1: enable. |
name | string | yes | Loopback Interface name. |
vrfId | string | no | VRF ID. This field is non-empty when the device supports VRF. |
loopbackId | integer | yes | Loopback ID. |
ip | string | yes | IP address. |
// omada_call_operation
{
"operationId": "modfiyLoopbackInterface",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"loopbackInterfaceId": "<loopbackInterfaceId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
batchModifySwitchPort
PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/config
Batch modify switch port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema BatchOswPortSettingVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Port or Lag Name |
tagIds | array<string> | no | Tag ID List |
nativeNetworkId | string | no | Native Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
nativeBridgeVlan | integer | no | Native Network Bridge Vlan. |
networkTagsSetting | integer | no | Network Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom |
tagNetworkIds | array<string> | no | Tag Network IDs |
tagBridgeVlanMap | object | no | Tag Network Bridge Vlan Map |
untagNetworkIds | array<string> | no | Untag Network IDs |
untagBridgeVlanMap | object | no | Untag Network Bridge Vlan Map |
voiceNetworkEnable | boolean | no | Indicates whether voice network is enabled |
voiceNetworkId | string | no | Voice Network ID |
voiceBridgeVlan | integer | no | Voice Network Bridge Vlan |
voiceDscpEnable | boolean | no | Indicates whether voice DSCP is enabled |
voiceDscp | integer | no | Voice DSCP |
portAlertEnable | boolean | no | Indicates whether port alert is enabled |
fecMode | integer | no | FEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R |
fecLinkPeerApplyEnable | boolean | no | Indicates whether the FEC Mode is synchronously applied to the link peer port. |
disable | boolean | no | Indicates whether to disable |
profileId | string | no | Profile ID is required (not null) when modifying a single port. |
profileOverrideEnable | boolean | no | Indicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile |
profileVlanOverrideEnable | boolean | no | Indicates the fill mode of vlan configuration: true: custom; false: follow profile |
linkSpeed | integer | no | Link Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
igmpSnoopingEnable | boolean | no | Indicates whether IGMP Snooping is enabled |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlVO | no | (OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO") |
spanningTreeEnable | boolean | no | Indicates whether SpanningTree is enabled |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | Indicates whether loopbackDetect port based is enabled |
loopbackDetectVlanBasedEnable | boolean | no | Indicates whether loopbackDetect vlan based is enabled |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Indicates whether port isolation is enabled |
eeeEnable | boolean | no | Indicates whether EEE is enabled |
flowControlEnable | boolean | no | Indicates whether flow control is enabled |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
qosQueueEnable | boolean | no | Indicates whether the ES device port has enabled the Qos scheduling queue configuration |
queueId | integer | no | ES Qos scheduling queue ID |
removedOuiBasedRuleIds | array<string> | no | The id of oui based vlan rule removded. |
operation | string | no | Operation should be a value as follows: "switching" or "mirroring" or "aggregating" |
mirroredPorts | array<integer> | no | Mirrored Ports |
mirroredLags | array<integer> | no | Mirrored Lags |
lagSetting | OswLagBasicVO | no | (OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO") |
lagDelete | boolean | no | When the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId. |
dot1x | integer | no | Dot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto |
poe | integer | no | Poe should be a value as follows: 0: Off; 1: 802.3at/af |
lldpMedEnable | boolean | no | Indicates whether LLDP-MED is enabled |
topoNotifyEnable | boolean | no | Indicates whether Topology Notify is enabled |
portList | array<integer> | yes |
// omada_call_operation
{
"operationId": "batchModifySwitchPort",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify switch port.
The interface requires one of the permissions:
Site Device Manager Modify
batchSetNameForGivenPorts_1
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/name
Batch set name for given ports
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema PortNameList
| Field | Type | Required | Description |
|---|---|---|---|
portNameList | array<SwitchMultiPortName> | yes | Port name list |
// omada_call_operation
{
"operationId": "batchSetNameForGivenPorts_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch set name for given ports.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-40205 - The device has been added to the stack group and related configurations cannot be modified.
batchSetPoeModeForGivenPorts_1
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/poe-mode
Batch set poe mode for given ports
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema SwitchPortsPoe
| Field | Type | Required | Description |
|---|---|---|---|
portList | array<integer> | yes | Port ID List. |
poeMode | integer | yes | Poe mode should be a value as follows: 1: on(802.3at/af); 0: off. |
// omada_call_operation
{
"operationId": "batchSetPoeModeForGivenPorts_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch set poe mode for given ports. Please enable profile override first to use this interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-39737 - Profile override setting is disabled.
-39747 - This switch does not support PoE.
-40205 - The device has been added to the stack group and related configurations cannot be modified.
batchPortPoERecovery
POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/poe-recovery
Switch port poe recovery.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OswPoeRecoverOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ports | array<integer> | yes | Please select the ports to perform PoE recovery. For example, [1, 2, 3]. |
// omada_call_operation
{
"operationId": "batchPortPoERecovery",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Switch port poe recovery.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39051 - Operation failed. Please try again later.
-39700 - Switch does not exist
-60004 - The device is not activated.
batchSetProfileOverrideForGivenPorts_1
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/profile-override
Batch set profile-override for given ports
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema BatchProfileOverride
| Field | Type | Required | Description |
|---|---|---|---|
portList | array<integer> | yes | Port ID List. |
profileOverrideEnable | boolean | yes | Profile Override Enable. |
// omada_call_operation
{
"operationId": "batchSetProfileOverrideForGivenPorts_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch set profile-override for given ports.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-40205 - The device has been added to the stack group and related configurations cannot be modified.
batchSetPortStatusForGivenPorts_1
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/multi-ports/status
Batch set status for given ports
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema SwitchPortsStatus
| Field | Type | Required | Description |
|---|---|---|---|
portList | array<integer> | yes | Port list |
status | integer | yes | Status should be a value as follows: 0: off; 1: on |
// omada_call_operation
{
"operationId": "batchSetPortStatusForGivenPorts_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch set status for given ports.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-39723 - Cannot choose mirroring or aggregating ports to batch modify.
-40205 - The device has been added to the stack group and related configurations cannot be modified.
listSwitchNetworks
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/networks
Query switch vlan interface infos.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "listSwitchNetworks",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Query switch vlan interface infos.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-44402 - Device template does not exist.
batchApplySwitchNetwork
POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/networks
Batch modify switch vlan interfaces.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema BatchApplyOswNetworkOpenApi
| Field | Type | Required | Description |
|---|---|---|---|
applyList | array<OswNetworkBaseOpenApi> | yes | Batch config networks status. |
// omada_call_operation
{
"operationId": "batchApplySwitchNetwork",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify switch vlan interfaces.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33538 - The number of VLAN Interface entries has reached the limit.
-33549 - Only one VLAN interface can be enabled for the switches in a LAN network whose VLAN Type is Multiple.
-39700 - Switch does not exist
getGridPortAndLagNetworksDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/networks-detail
Get the networks detail (including the vlan related ports and lags info) used on switch's ports and LAGs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridPortAndLagNetworksDetail",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get the networks detail (including the vlan related ports and lags info) used on switch's ports and LAGs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
modifySwitchNetwork
POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/networks/{networkId}
Modify switch network config.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
networkId | path | string | yes | Switch network ID. |
Request body — application/json (required) — schema OswNetworkOpenApi
| Field | Type | Required | Description |
|---|---|---|---|
id | string | yes | Network ID |
vlan | integer | yes | VLAN ID. |
status | boolean | no | Enable status of the network vlan. Note: this field only takes effect when toggling switch status on the Interface list page and is ignored by other switch network edit APIs. |
mvlan | boolean | yes | Indicate the vlan is management vlan or not. |
name | string | no | Switch network name. |
ip | OswIpSettingOpenApiVO | no | (OswIpSettingOpenApiVO not expanded; call omada_get_schema "OswIpSettingOpenApiVO") |
ipv6Enable | boolean | no | Enable IPV6 or not. |
ipv6 | OswIpv6SettingOpenApiVO | no | (OswIpv6SettingOpenApiVO not expanded; call omada_get_schema "OswIpv6SettingOpenApiVO") |
mode | integer | yes | DHCP mode. 0: None, mode 1: DHCP Server, mode 2: DHCP Relay |
dhcpServer | OswDhcpServerOpenApiVO | no | (OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO") |
dhcpRelay | OswDhcpRelayOpenApiVO | no | (OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO") |
vrfId | string | no | VRF ID |
mtu | integer | no | MTU, MTU value should be less than or equal to the jumbo value |
// omada_call_operation
{
"operationId": "modifySwitchNetwork",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"networkId": "<networkId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch network config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33529 - The network cannot be disabled because it has been configured as the Management VLAN.
-33538 - The number of VLAN Interface entries has reached the limit.
-33549 - Only one VLAN interface can be enabled for the switches in a LAN network whose VLAN Type is Multiple.
-33555 - The IP range you set for the VLAN Interface conflicts with the IP range of another VLAN Interface.
-35207 - IP address is null or invalid.
-39700 - Switch does not exist
-39710 - Management VLAN does not exist.
getGridOspfNeighborTable
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ospf-neighbors
Get switch ospf neighbor table
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.neighborInterface | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.neighborInterface | query | array<string> | no | Filter query parameters, support field neighborInterface |
filters.processId | query | string | no | Filter query parameters, support field processId |
searchKey | query | string | no | Fuzzy query parameters, support field neighborIp |
// omada_call_operation
{
"operationId": "getGridOspfNeighborTable",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get switch ospf neighbor table.
The interface requires one of the permissions:
Site Device Manager View Only
getGridPortAndLagNetworks_1
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/port-lag-networks
Get the networks used on switch's ports and LAGs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridPortAndLagNetworks_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get the networks used on switch's ports and LAGs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getPortAndLagNetwork_1
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/port-lag-networks/{networkId}/vlan/{vlan}
Get the switch's ports and LAGs that the network affects
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
networkId | path | string | yes | Switch network ID. |
vlan | path | string | yes | VLAN. |
// omada_call_operation
{
"operationId": "getPortAndLagNetwork_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"networkId": "<networkId>",
"vlan": "<vlan>"
}
}Details, permissions and error codes
Get the switch's ports and LAGs that the network affects.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.
-39700 - Switch does not exist
modifySwitchPort
PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}
Modify switch port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
port | path | string | yes | Port ID |
Request body — application/json (required) — schema OswPortSettingVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Port or Lag Name |
tagIds | array<string> | no | Tag ID List |
nativeNetworkId | string | no | Native Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
nativeBridgeVlan | integer | no | Native Network Bridge Vlan. |
networkTagsSetting | integer | no | Network Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom |
tagNetworkIds | array<string> | no | Tag Network IDs |
tagBridgeVlanMap | object | no | Tag Network Bridge Vlan Map |
untagNetworkIds | array<string> | no | Untag Network IDs |
untagBridgeVlanMap | object | no | Untag Network Bridge Vlan Map |
voiceNetworkEnable | boolean | no | Indicates whether voice network is enabled |
voiceNetworkId | string | no | Voice Network ID |
voiceBridgeVlan | integer | no | Voice Network Bridge Vlan |
voiceDscpEnable | boolean | no | Indicates whether voice DSCP is enabled |
voiceDscp | integer | no | Voice DSCP |
portAlertEnable | boolean | no | Indicates whether port alert is enabled |
fecMode | integer | no | FEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R |
fecLinkPeerApplyEnable | boolean | no | Indicates whether the FEC Mode is synchronously applied to the link peer port. |
disable | boolean | no | Indicates whether to disable |
profileId | string | no | Profile ID is required (not null) when modifying a single port. |
profileOverrideEnable | boolean | no | Indicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile |
profileVlanOverrideEnable | boolean | no | Indicates the fill mode of vlan configuration: true: custom; false: follow profile |
linkSpeed | integer | no | Link Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
igmpSnoopingEnable | boolean | no | Indicates whether IGMP Snooping is enabled |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlVO | no | (OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO") |
spanningTreeEnable | boolean | no | Indicates whether SpanningTree is enabled |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | Indicates whether loopbackDetect port based is enabled |
loopbackDetectVlanBasedEnable | boolean | no | Indicates whether loopbackDetect vlan based is enabled |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Indicates whether port isolation is enabled |
eeeEnable | boolean | no | Indicates whether EEE is enabled |
flowControlEnable | boolean | no | Indicates whether flow control is enabled |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
qosQueueEnable | boolean | no | Indicates whether the ES device port has enabled the Qos scheduling queue configuration |
queueId | integer | no | ES Qos scheduling queue ID |
removedOuiBasedRuleIds | array<string> | no | The id of oui based vlan rule removded. |
operation | string | no | Operation should be a value as follows: "switching" or "mirroring" or "aggregating" |
mirroredPorts | array<integer> | no | Mirrored Ports |
mirroredLags | array<integer> | no | Mirrored Lags |
lagSetting | OswLagBasicVO | no | (OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO") |
lagDelete | boolean | no | When the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId. |
dot1x | integer | no | Dot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto |
poe | integer | no | Poe should be a value as follows: 0: Off; 1: 802.3at/af |
lldpMedEnable | boolean | no | Indicates whether LLDP-MED is enabled |
topoNotifyEnable | boolean | no | Indicates whether Topology Notify is enabled |
// omada_call_operation
{
"operationId": "modifySwitchPort",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch port.
The interface requires one of the permissions:
Site Device Manager Modify
setNameForGivenPort_1
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}/name
Set name for given port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
port | path | string | yes | Port ID |
Request body — application/json (required) — schema SwitchPortName
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 128 characters. |
// omada_call_operation
{
"operationId": "setNameForGivenPort_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Set name for given port.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-40205 - The device has been added to the stack group and related configurations cannot be modified.
setPoeModeForGivenPort_1
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}/poe-mode
Set poe mode for given port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
port | path | string | yes | Port |
Request body — application/json (required) — schema SwitchPortPoe
| Field | Type | Required | Description |
|---|---|---|---|
poeMode | integer | yes | Poe mode should be a value as follows: 1: on(802.3at/af); 0: off. |
// omada_call_operation
{
"operationId": "setPoeModeForGivenPort_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Set poe mode for given port. Please enable profile override first to use this interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-39737 - Profile override setting is disabled.
-39747 - This switch does not support PoE.
-40205 - The device has been added to the stack group and related configurations cannot be modified.
setProfileForGivenPort_1
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}/profile
Set profile for given port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
port | path | string | yes | Port ID |
Request body — application/json (required) — schema SwitchProfileID
| Field | Type | Required | Description |
|---|---|---|---|
profileId | string | yes | Profile ID. |
// omada_call_operation
{
"operationId": "setProfileForGivenPort_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Set profile for given port.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33507 - This profile does not exist.
-33558 - The profile does not support the Agile Series Switch.
-33564 - The number of VLANs has reached the limit of the Agile Series Switch.
-39050 - This device does not exist.
-39701 - This port does not exist
-40205 - The device has been added to the stack group and related configurations cannot be modified.
setProfileOverrideForGivenPort_1
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}/profile-override
Set profile-override for given port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
port | path | string | yes | Port ID |
Request body — application/json (required) — schema ProfileOverride
| Field | Type | Required | Description |
|---|---|---|---|
profileOverrideEnable | boolean | yes | Profile Override Enable |
// omada_call_operation
{
"operationId": "setProfileOverrideForGivenPort_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Set profile-override for given port.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-40205 - The device has been added to the stack group and related configurations cannot be modified.
setPortModeForGivenPort_1
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/ports/{port}/status
Set port status for given port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
port | path | string | yes | Port |
Request body — application/json (required) — schema SwitchPortStatus
| Field | Type | Required | Description |
|---|---|---|---|
status | integer | yes | Status should be a value as follows: 0: off; 1: on |
// omada_call_operation
{
"operationId": "setPortModeForGivenPort_1",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Set port status for given port.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39701 - This port does not exist
-39738 - Cannot choose mirroring or aggregating port to modify status.
-40205 - The device has been added to the stack group and related configurations cannot be modified.
getRpvstInstances
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/rpvst-instances
Get Rpvst Instances
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getRpvstInstances",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get Rpvst Instances.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getSwitchUsedSdmNum
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/sdm-used
Get the used sdm template num on the switch
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getSwitchUsedSdmNum",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get the used template num on the switch.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getGridStaticRouting
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/staticRoutings
Get grid switch staticRouting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridStaticRouting",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get grid switch staticRouting.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
createStaticRouting
POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/staticRoutings
Create switch staticRouting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OswStaticRoutingConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ipVersion | integer | yes | The IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6. |
status | boolean | yes | StaticRouting status |
destinations | array<string> | yes | IP address/SubNet, up to 16 entries are allowed for the destinations list. |
nextHopIp | string | yes | NextHopIp |
distance | integer | yes | Distance should be within the range of 1–255. |
description | string | no | The description of static routing. It may contain 0 to 128 characters, including digits (0–9), uppercase and lowercase letters (A–Z, a–z), spaces, and -_@😕.+# . |
vrfId | string | no | VrfId |
nextHopVrfId | string | no | NextHopVrfId |
// omada_call_operation
{
"operationId": "createStaticRouting",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create switch staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
deleteStaticRouting
DELETE /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/staticRoutings/{staticRoutingId}
Delete switch staticRouting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
staticRoutingId | path | string | yes | Static routing ID |
// omada_call_operation
{
"operationId": "deleteStaticRouting",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"staticRoutingId": "<staticRoutingId>"
}
}Details, permissions and error codes
Delete switch staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
modifyStaticRouting
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/staticRoutings/{staticRoutingId}
Modify switch staticRouting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
staticRoutingId | path | string | yes | Static routing ID |
Request body — application/json (required) — schema OswStaticRoutingConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ipVersion | integer | yes | The IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6. |
status | boolean | yes | StaticRouting status |
destinations | array<string> | yes | IP address/SubNet, up to 16 entries are allowed for the destinations list. |
nextHopIp | string | yes | NextHopIp |
distance | integer | yes | Distance should be within the range of 1–255. |
description | string | no | The description of static routing. It may contain 0 to 128 characters, including digits (0–9), uppercase and lowercase letters (A–Z, a–z), spaces, and -_@😕.+# . |
vrfId | string | no | VrfId |
nextHopVrfId | string | no | NextHopVrfId |
// omada_call_operation
{
"operationId": "modifyStaticRouting",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"staticRoutingId": "<staticRoutingId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getStpInstancesDetail
POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/stp/instance-detail
Get StpInstanceDetail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema StpInstanceDetailVO
| Field | Type | Required | Description |
|---|---|---|---|
stp | integer | yes | stp, 1: STP / 2: RSTP / 3: MSTP / 4: RPVST / 0: OFF |
id | integer | no | instance ID |
vlan | integer | no | instance vlanId |
// omada_call_operation
{
"operationId": "getStpInstancesDetail",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Get StpInstanceDetail.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getGridVrf
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/vrfs
Get the vrfs on the switch
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVrf",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get the vrfs on the switch.
The interface requires one of the permissions:
Site Device Manager View Only
createOswVrf
POST /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/vrfs
Create new vrf
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OswVrfConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
vrf | string | no | VRF name: 1 to 15 characters consisting of numbers (0 to 9), uppercase and lowercase letters (A to Z, a to z), and symbols -_@.+; cannot be '.' or '..' only. This parameter is required when creating a VRF and is not needed when modifying a VRF. |
ipv4Enable | boolean | no | Whether to enable ipv4. Ipv4Enable should be true. This parameter is required when creating a VRF and is not needed when modifying a VRF. |
ipv6Enable | boolean | yes | Whether to enable ipv6 |
// omada_call_operation
{
"operationId": "createOswVrf",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create new vrf.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39945 - This switch VRF name is reserved for device management purposes, please use a different name.
-39970 - The number of VRF entries in this switch has reached the limit.
-39971 - This switch VRF Name already exists.
deleteOswVrf
DELETE /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/vrfs/{vrfId}
Delete vrf
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
vrfId | path | string | yes | VRF ID |
// omada_call_operation
{
"operationId": "deleteOswVrf",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"vrfId": "<vrfId>"
}
}Details, permissions and error codes
Delete vrf.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39947 - The default VRF cannot be deleted.
-39972 - This VRF in use cannot be deleted.
-39975 - Switch VRF does not exist.
modifyOswVrf
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/vrfs/{vrfId}
Modify vrf
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
vrfId | path | string | yes | VRF ID |
Request body — application/json (required) — schema OswVrfConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
vrf | string | no | VRF name: 1 to 15 characters consisting of numbers (0 to 9), uppercase and lowercase letters (A to Z, a to z), and symbols -_@.+; cannot be '.' or '..' only. This parameter is required when creating a VRF and is not needed when modifying a VRF. |
ipv4Enable | boolean | no | Whether to enable ipv4. Ipv4Enable should be true. This parameter is required when creating a VRF and is not needed when modifying a VRF. |
ipv6Enable | boolean | yes | Whether to enable ipv6 |
// omada_call_operation
{
"operationId": "modifyOswVrf",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"vrfId": "<vrfId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify vrf.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39948 - The default VRF cannot be edited.
-39971 - This switch VRF Name already exists.
-39973 - This VRF is being used by other IPv6 functions and the IPv6 address-family cannot be disabled.
-39975 - Switch VRF does not exist.
getOswsDetails
POST /openapi/v1/{omadacId}/sites/{siteId}/switches/details
Get the details of osws with given omadacid, siteid and macs and stackIds.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OswDetailOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
macs | array<string> | no | The collection of macs of the general switches. |
stackIds | array<string> | no | The collection of stack ids of the stack switches. |
networkId | string | yes | Network ID. |
vlan | integer | yes | VLAN ID. |
// omada_call_operation
{
"operationId": "getOswsDetails",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get the details of osws with given omadacid, siteid and macs and stackIds.
The interface requires one of the permissions:
Site Device Manager View Only
getESInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/es/{switchMac}
Get switch info (Agile Series)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getESInfo",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get Agile Series switch info.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39743 - The Non-Agile Series switch should use the corresponding path.
modifyESLoopbackControl
PUT /openapi/v1/{omadacId}/sites/{siteId}/switches/es/{switchMac}/config/loopback
Modify switch loopback control (Agile Series)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema EasyManagedSwitchLoopbackControl
| Field | Type | Required | Description |
|---|---|---|---|
loopbackDetectEnable | boolean | no | LoopbackDetectEnable |
stp | integer | no | STP should be a value as follows: 0: OFF 1: STP 2: RSTP |
priority | integer | no | priority |
maxAge | integer | no | maxAge should be between 6 and 40. |
forwardDelay | integer | no | forwardDelay should be between 4 and 30. |
txHoldCount | integer | no | txHoldCount should be between 1 and 10. |
// omada_call_operation
{
"operationId": "modifyESLoopbackControl",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Agile Series switch loopback control.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39743 - The Non-Agile Series switch should use the corresponding path.
-40205 - The device has been added to the stack group and related configurations cannot be modified.
getESGeneralConfig
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/es/{switchMac}/general-config
Get switch general config (Agile Series )
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getESGeneralConfig",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get Agile Series switch general config.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39743 - The Non-Agile Series switch should use the corresponding path.
modifyESGeneralConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/es/{switchMac}/general-config
Modify switch general config (Agile Series)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema EasyManagedSwitchGeneralConfig
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Device name should contain 1 to 32 characters. |
ledSetting | integer | no | LED setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings |
tagIds | array<string> | no | Tag IDs |
jumboEnable | boolean | no | Parameter [jumboEnable] should be true or false. |
location | DeviceLocationDetailVO | no | (DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO") |
remember | boolean | no | Parameter [remember] should be true or false. |
powerAlertEnable | boolean | no | Power alert status. |
// omada_call_operation
{
"operationId": "modifyESGeneralConfig",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Agile Series switch general config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39743 - The Non-Agile Series switch should use the corresponding path.
getESNetworkOverview
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/es/{switchMac}/network-overview
Query Agile Series switch valid network
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getESNetworkOverview",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Query Agile Series switch valid network.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39748 - This request is only for the Agile Series Switch.
getBatchSwitchExistNetworks
POST /openapi/v1/{omadacId}/sites/{siteId}/switches/exist-network
Get the networks intersections existing on multiple switches
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OswMacListVO
| Field | Type | Required | Description |
|---|---|---|---|
switchMacList | array<string> | yes | Switch Mac List |
// omada_call_operation
{
"operationId": "getBatchSwitchExistNetworks",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get the networks intersections existing on multiple switches.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
clearOswPortCounters
POST /openapi/v1/{omadacId}/sites/{siteId}/switches/multi-ports/clear-counters
Clear the switches ports counters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ClearCountersVO
| Field | Type | Required | Description |
|---|---|---|---|
portList | array<PortParamVO> | yes |
// omada_call_operation
{
"operationId": "clearOswPortCounters",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Clear the switches ports counters.
The interface requires one of the permissions:
Site Device Manager Modify
Device Config Page Modify
batchModifySwitchesPortLag
PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/multi-ports/config
Batch modify switches ports and lags
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema MultiOswPortSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
switchList | array<OswPortLagListVO> | yes | Switch List with port and LAG info |
selectAll | boolean | yes | Indicates whether select all switch ports.false: include selected switch ports and lags in Parameter [switchList], true: all switch ports and lags but exclude selected switch ports and lags in Parameter [switchList]. |
searchKey | string | no | The keywords of the searchIt is effected when [selectAll] is 'true'. |
filters | object | no | Filter conditions in the form of Map.It is effected when [selectAll] is 'true', filter key is the filter field and the value is the filter content.Filter fields include: [connectedStatus], [networkMode], [poeDisplayType], [linkSpeed], [duplex],[switchMac], [switchStatusCategory], [switchSupportPoe], [nativeNetworkId], [networkTagsSetting], [profileId], [operation], [tagIds]. |
tagIds | array<string> | no | Tag ID List |
nativeNetworkId | string | no | Native Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
nativeBridgeVlan | integer | no | Native Network Bridge Vlan. |
networkTagsSetting | integer | no | Network Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom |
tagNetworkIds | array<string> | no | Tag Network IDs |
tagBridgeVlanMap | object | no | Tag Network Bridge Vlan Map |
untagNetworkIds | array<string> | no | Untag Network IDs |
untagBridgeVlanMap | object | no | Untag Network Bridge Vlan Map |
voiceNetworkEnable | boolean | no | Indicates whether voice network is enabled |
voiceNetworkId | string | no | Voice Network ID |
voiceBridgeVlan | integer | no | Voice Network Bridge Vlan |
profileId | string | no | Profile ID |
profileOverrideEnable | boolean | no | Indicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile |
profileVlanOverrideEnable | boolean | no | Indicates the fill mode of vlan configuration: true: custom; false: follow profile |
// omada_call_operation
{
"operationId": "batchModifySwitchesPortLag",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify switches ports and lags.
The interface requires one of the permissions:
Site Device Manager Modify
Device Config Page Modify
deletePortTag
DELETE /openapi/v1/{omadacId}/sites/{siteId}/switches/port-tag
Delete an existing switch port label
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DeletePortTagOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
tagId | string | yes | Port label ID |
// omada_call_operation
{
"operationId": "deletePortTag",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing switch port label.
The interface requires one of the permissions:
Site Device Manager Modify
Device Config Page Modify
getPortTags
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/port-tag
Get switch port label list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getPortTags",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get switch port label list.
The interface requires one of the permissions:
Site Device Manager View Only
Device Config Page View Only
Network Config Page View Only
modifyPortTag
PATCH /openapi/v1/{omadacId}/sites/{siteId}/switches/port-tag
Modify an existing switch port label
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema PortTagOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
tagId | string | yes | Port label ID |
[...]
